	character*80 path
	character*4 gtype
	integer MAXTRC,LDIM
	parameter (MAXTRC=256,LDIM=4096)
	real xyz(6,MAXTRC),otr(LDIM,MAXTRC)
	integer handle,ier,sbfopen,sbfread,sbfclose

C  Get path name
	write (*,*) 'Enter path name: '
	read (*,'(a80)') path
	handle = sbfopen(path,'r ')
	if (handle.le.0) then
		write (*,*) 'sbfopen failed'
		stop
	endif
	
C  Get file info
	call sbfinfo( handle, ns, ntpg, ngpl, nlin )
	call sbfrinfo( handle, msf, x0, y0, dx, dy, rot, gtype )

C  Write out info
	write (*,9010) path,gtype,ns,ntpg,ngpl,nlin,msr,
     +    x0,y0,dx,dy,rot
 9010 format (/,' SBF Data Set Parameters:',/,
     +          ' Path name        : ',4x,a60,/,
     +          ' Group type       : ',4x,a4,/,
     +          ' Samples per Trace: ',i8,/,
     +          ' Traces per Group : ',i8,/,
     +          ' Groups per Line  : ',i8,/,
     +          ' Number of Lines  : ',i8,/,
     +          ' Sample Rate (ms) : ',i8,/,
     +          ' CDP Grid Orgin   : ',2f10.1,/,
     +          ' CDP Separation   : ',f10.1,/,
     +          ' Line Separation  : ',f10.1,/,
     +          ' Grid Rotation    : ',f10.1)

	if (ns.gt.ldim .or. ntpg.gt.maxtrc) then
		write (*,*) 'Group size is too big'
		stop
	endif

	ntrc = ngpl * nlin * ntpg
	write (*,*) 'Will dump info for ',ntrc,' traces'
	write (*,*) 'Continue ? (0=no, 1=yes)'
	read (*,*) ier
	if (ier.eq.0) stop
	write (*,*) '  Line Group Trace     Source xyz    ',
     +	'    Receiver xyz        Max Amp'
	do k=1,nlin
	do j=1,ngpl
		ier = sbfread(handle,j,k,ldim,ntpg,otr,xyz)
		if (ier.ne.0) then
			write (*,*) 'Warning: read for line, group =',k,j
		else
			do i=1,ntpg
				call abmax(ns,otr(1,i),amax)
				write (*,9020) k,j,i,(xyz(ii,i),ii=1,3),
     +				(xyz(ii,i),ii=4,6),amax
 9020				format (3i6,6f8.1,g11.4)
			enddo
		endif
	enddo
	enddo
	ier = sbfclose(handle)
	stop
	end
C
C
	subroutine abmax(ns,otr,amax)
C  Return max absolute value of an array
	dimension otr(ns)
	amax = 0.0
	do i=1,ns
		amax = max(otr(i),amax)
	enddo
	return
	end
